﻿using System;
using System.Collections.Generic;

namespace TransportCompanyDatabaseImplements.Models;

public partial class Trucking
{
    public int Id { get; set; }

    public int ClientId { get; set; }

    public int CargoId { get; set; }

    public int Price { get; set; }

    public DateOnly DateStart { get; set; }

    public DateOnly DateEnd { get; set; }

    public int TypeTransportationId { get; set; }

    public int TransportId { get; set; }

    public virtual Cargo Cargo { get; set; } = null!;

    public virtual Client Client { get; set; } = null!;

    public virtual Transport Transport { get; set; } = null!;

    public virtual TypeTransportation TypeTransportation { get; set; } = null!;
}
